@Echo off
REM #Doc: 27.12.2023/J.Fes returns for file size of file
REM #Doc: P1=Full path to file
REM #Doc: P2=EnvVar contains SizeByte of given file
REM #Exa: call GetFileFileSize.cmd "%temp%\_NxPartUtil20_Job.log" NxPartUtil20_Job_SizeBype

REM #Debug get bypes of this Script
REM if "%~2" neq "" goto :Start
REM  Call "%~0" "%~0" SizeByte
REM  Echo File:%~nx0 Size:%SizeByte%(Byte)
REM  pause
REM exit

:Start
if "%~2" equ "" goto :eof
set %2=-1
if "%~3" neq "" set %3=-1
if not exist "%~1" goto :eof
set %2=%~z1
REM if "%~3" neq "" set /a %3=%~z1/1000
REM if "%~4" neq "" set /a %4=%~z1/1024

